//  <![CDATA[
//  GVAppDelegate.h
//  GVCustomControls
//
//  Created by User on 29.07.12.
//  Copyright (c) 2012 Vlad Gorloff. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "GVNinePartBackgroundView.h"
#import "GVMultiImageKnobView.h"
#import "GVTextField.h"
#import "GVModel.h"

@interface GVAppDelegate : NSObject <NSApplicationDelegate>

@property GVModel* model;

@property (assign) IBOutlet NSWindow *window;
@property (assign) IBOutlet NSObjectController* controller;

// Custom UI elements
@property (assign) IBOutlet GVNinePartBackgroundView  *background;
@property (assign) IBOutlet GVMultiImageKnobView        *knob;
@property (assign) IBOutlet GVTextField                 *text;

@end // EOF ]]>
