//  <![CDATA[
//  GVMultiImageKnobView.h
//  GVCustomControls
//
//  Created by Vlad Gorloff on 28.05.12.
//  Copyright (c) 2012 Vlad Gorloff. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface GVMultiImageKnobView : NSView

// Angles
@property CGFloat currentAngle;
@property CGFloat defaultAngle;
@property CGFloat minAngle;
@property CGFloat maxAngle;

// Images
@property (readonly) NSMutableArray* images;
@property NSInteger imageStep;

// Bindings
@property NSNumber* normalizedValue;

@end // EOF ]]>