// <![CDATA[
//  GVTextField.h
//  GVCustomControls
//
//  Created by Vlad Gorloff on 12.08.12.
//  Copyright (c) 2012 Vlad Gorloff. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface GVTextField : NSTextField

// Look and Feel
@property NSColor* normalTextColor;
@property NSColor* editableTextColor;

// Range of values
@property NSInteger minValue;
@property NSInteger maxValue;
@property NSInteger defaultValue;

// Bindings
@property NSNumber* normalizedValue;

@end // EOF ]]>